summaryrefslogtreecommitdiffstats
path: root/source/d/subversion/subversion.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/subversion/subversion.SlackBuild')
-rwxr-xr-xsource/d/subversion/subversion.SlackBuild20
1 files changed, 9 insertions, 11 deletions
diff --git a/source/d/subversion/subversion.SlackBuild b/source/d/subversion/subversion.SlackBuild
index a3d59afd6..8725ddbaa 100755
--- a/source/d/subversion/subversion.SlackBuild
+++ b/source/d/subversion/subversion.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=subversion
VERSION=${VERSION:-$(echo subversion-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -98,16 +98,14 @@ CFLAGS="$SLKCFLAGS" \
--with-lz4=/usr \
--with-zlib=/usr \
--with-pic \
+ --with-kwallet \
+ --with-gnome-keyring \
--build=$ARCH-slackware-linux || exit 1
-# Leave this out for now, because having qt5 and KDE4 installed confuses it.
-# We'll look at it again once we have Plasma 5.
-# --with-kwallet
-
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-make install-tools DESTDIR=$PKG || exit 1
-make install-docs DESTDIR=$PKG || exit 1
+make $NUMJOBS install DESTDIR=$PKG || exit 1
+make $NUMJOBS install-tools DESTDIR=$PKG || exit 1
+make $NUMJOBS install-docs DESTDIR=$PKG || exit 1
## COMMENTED OUT - this doesn't work with swig > 4.0.0
## If something actually needs it, let me know and I'll look at it again.
@@ -125,14 +123,14 @@ make $NUMJOBS swig-pl-lib || exit 1
make install-swig-pl-lib DESTDIR=$PKG || exit 1
( cd subversion/bindings/swig/perl/native
perl Makefile.PL
- make install_vendor DESTDIR=$PKG || exit 1
+ make $NUMJOBS install_vendor DESTDIR=$PKG || exit 1
) || exit 1
eval $(perl '-V:archlib')
mv $PKG/$archlib/perllocal.pod $PKG/$archlib/subversion.pod
# Ruby bindings
make $NUMJOBS swig-rb || exit 1
-make install-swig-rb DESTDIR=$PKG || exit 1
+make $NUMJOBS install-swig-rb DESTDIR=$PKG || exit 1
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la